首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX 提问指南
Coding
V2EX  ›  问与答

Github 上那么多优秀的开源程序,但是我咋知道是该语言的哪个版本呢

  •  
  •   yeyeye · 2016-06-11 13:35:06 +08:00 · 1930 次点击
    这是一个创建于 1278 天前的主题,其中的信息可能已经有所发展或是发生改变。
    据说 PHP 每个小版本都不同(不是秘密了好么……)
    比如 5.1 和 5.2

    听说 Python 每个小小版本都可能不同(此处有坑别踩)
    比如 2.7.1 和 2.7.2 (只是举例,不确定是不是每个小小版本号都有区别)

    唯独只有 ASP 这个老东西,没有版本之分,随便用(以前有版本区别,后来干脆不更新了,但是微软却没放弃它不支持它),这就是为什么微软的东西让人留恋。

    再比如……
    其他语言我就更不了解了。

    我只是一个普通人啊,我咋知道这个开源程序到底是哪个版本写的呢?哦不不,是适用于哪个版本呢?虽然我懂点 PHP ,但是我都不知道怎样看它是针对哪个版本写的,更别说别的语言了(如果不注明,难道要看完所有代码然后寻找特征么)

    这个不是无聊的主题,我很明显的告诉你们,我真的去找了想要的程序,真的有,然而不知道是用于什么版本,所以就吐血了。做个伸手党真不容易唉。
    12 回复  |  直到 2016-06-12 14:21:13 +08:00
        1
    pasturn   2016-06-11 13:38:49 +08:00 via iPhone   ♥ 1
    用之前看文档 没有文档或者文档里没有说的 看个家水平用
        2
    Pastsong   2016-06-11 13:40:18 +08:00   ♥ 1
    稍微大一点的项目都会写的啊
        3
    pimin   2016-06-11 13:52:01 +08:00 via Android   ♥ 1
    感觉楼主有点杞人忧天了
    一般会标明运行环境,至少大版本会标明吧
    小版本不兼容的情况很少,真的遇到问题给作者留言询问下或许更简单些
    楼主可能只是想吃一个西瓜,却问了一个如何给确定这个西瓜和昨天吃的那个西瓜比基因有哪些不同
        4
    yeyeye   2016-06-11 14:04:13 +08:00
    @pasturn
    @Pastsong
    @pimin
    就是找的小项目 比如我想找个 socks5 服务端支持用户密码的, Windows 服务器,找了 N 个半天找不到这样的软件(我靠这需求够简单粗暴了吧,就是找不到。),跑到 Github 上一看,真的有,结果一看也没写明什么版本的,当时就晕了,也就没试试……

    其实 socks5 服务器软件也不是没有,比如说有个 NEC Socks5 服务器,简单粗暴,我也在用,但是偶尔就是会失效,原因未知,必须重启程序,我设置了 6 小时重启一次,仍然偶尔还有问题。 cccproxy 也用着有问题。还有的软件要么就是要每次手动点启动,要么就是不支持用户名密码……


    @pimin 大版本真没有注明唉,主要是属于小程序,介绍不齐全也理解。
        5
    fcicq   2016-06-11 14:16:41 +08:00   ♥ 1
    伸手党说白了就是又没技术又没钱啊, 所以要花时间到处翻. 楼主打算解决哪一个?
        6
    yeyeye   2016-06-11 14:21:31 +08:00
    @fcicq 我会点 vb6 我会 asp 我会点 php 但是这些局限于做网页端

    那时候最觉得莫名的就是这么简单的需求(正常来说这种需求不该是一堆人做好了等着我们去用么) 不该没有满足需求的软件啊 结果就一路碰壁(软件有,就是老是有这样那样的问题,够晕)

    这种东西 Python 倒是有很多实现,可惜语言好学,但是协议难学啊……
        7
    fcicq   2016-06-11 14:32:09 +08:00
    ssocks? 3proxy? 不应该都可以吗... RFC 1928/1929 很清楚, 写个 socks5 作为网络编程入门习作应该很好的说.
        8
    paradoxs   2016-06-11 14:33:40 +08:00
    放在这上面的很多程序 都不是想让你直接 COPY 下来直接编译的呃, 总会制造各种门槛.
        9
    yeyeye   2016-06-11 14:43:09 +08:00
    @fcicq ssocks 是 SS 么?我想要的就是一个标准服务器, 3proxy 可能适合,我用用看,谢谢!
    @paradoxs 不至于这样吧。
        10
    fcicq   2016-06-11 14:55:15 +08:00   ♥ 1
    @yeyeye 某根本不懂密码学的作者的 SS 应该是 2012 年出的吧. ssocks 应该更早.
        11
    cxbig   2016-06-11 15:14:41 +08:00   ♥ 1
    因为不懂而猜疑真的没有必要,这年头 PHP5.6 都要淘汰了,就别扯什么 5.1 、 5.2 。
    PHP 每个版本的变迁都有文档说明,注意 Deprecated 的部分就好。
    能不能用很简单, PHP 环境选 5.6 或 7 ,在 ini 里把所有 error warning 都显示出来
    - 跑一下代码,有问题在 log 里都有记录。
    - 如果有 PhpStorm 这样的 IDE ,先在配置里选择对应的 php bin 和版本,再跑一下静态代码分析: Inspect Code 。有什么问题一目了然

    再声明一遍:不要杞人忧天。直接动手搭项目,好轮子不会有这种问题,坏的不用也罢。
        12
    SpicyCat   2016-06-12 14:21:13 +08:00
    文档一般会写。没写就发 issue 问。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   4317 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 34ms · UTC 03:04 · PVG 11:04 · LAX 19:04 · JFK 22:04
    ♥ Do have faith in what you're doing.